aboutsummaryrefslogtreecommitdiffstats
path: root/deploy/compass_vm.sh
diff options
context:
space:
mode:
authorQiLiang <liangqi1@huawei.com>2016-10-28 12:52:39 +0800
committerQiLiang <liangqi1@huawei.com>2016-10-28 12:52:59 +0800
commit12880abb62fdb46afdcfa929e3fdb251b1e73814 (patch)
tree7c1e1f7dbea83b4a6618e36a50e654c171c5bf45 /deploy/compass_vm.sh
parent673651d92c4d5063cbc04c954d6cb75a91b6601c (diff)
Workaround for random wait compass boot timeout
JIRA: - Sometimes compass-core already boot successfully, but wait_ok function retry to ssh login to compass-core vm failed. Add two more times retry before exit the deployment. Change-Id: I1ae7795b2196e9a24c24c2368402e560aba68339 Signed-off-by: QiLiang <liangqi1@huawei.com>
Diffstat (limited to 'deploy/compass_vm.sh')
-rwxr-xr-xdeploy/compass_vm.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/deploy/compass_vm.sh b/deploy/compass_vm.sh
index 94b103f0..f1c92892 100755
--- a/deploy/compass_vm.sh
+++ b/deploy/compass_vm.sh
@@ -85,7 +85,16 @@ function wait_ok() {
sleep 1
let retry+=1
if [[ $retry -ge $1 ]];then
- timeout 1s ssh $ssh_args root@$MGMT_IP "exit"
+ # first try
+ ssh $ssh_args root@$MGMT_IP "exit"
+ # second try
+ ssh $ssh_args root@$MGMT_IP "exit"
+ exit_status=$?
+ if [[ $exit_status == 0 ]]; then
+ log_warn "final ssh login compass success !!!"
+ break
+ fi
+ log_error "final ssh retry failed with status: " $exit_status
log_error "os install time out"
exit 1
fi